# PS3

1. Create Folder for script and downloaded games

```bash
mkdir -p ps3roms && cd ps3roms
```

2. Download ps3_extract.sh script

```bash
wget https://git.sthope.dev/sthope/Emulation-and-ROMs/raw/branch/main/PS3/ps3_extract.sh
```

3. Change the access permissions of script

```bash
chmod +x ps3_extract.sh
```

4. Put zip inside todo folder and run script
```
MODE=[
      --extract-all
      --decrypt-all
      --extract-decrypted-all
      --need-dkey
      --all
     ]

SAVE=[
      --decrypted_isos
      --extracted_isos
      --zip_folder
      --encrypted_isos
     ]
```

```bash
./ps3_extract.sh {MODE} {SAVE}
```

## All in One

```bash
mkdir -p ps3roms && cd ps3roms && wget https://git.sthope.dev/sthope/Emulation-and-ROMs/raw/branch/main/PS3/ps3_extract.sh && chmod +x ps3_extract.sh
```